
.b-popup {
  @include absFull(fixed);

  z-index: 4;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0s linear 0.5s;
  color: $black;

  .custom-select select {
    @include bellow($android-landscape) {
      pointer-events: none;
    }
  }

  &--showed {
    opacity: 1;
    pointer-events: all;
    transition: opacity 0s linear 0s;

    .b-popup {
      &__bg {
        opacity: 0.9;
        transition: opacity 0.4s ease-in-out 0s;
      }

      &__inner {
        opacity: 1;
        transform: translate3d(0, -50%, 0);
      }
    }

    .custom-select select {
      @include bellow($android-landscape) {
        pointer-events: all;
      }
    }
  }

  &__bg {
    @include absCenter;

    z-index: 0;
    background: #000;
    opacity: 0;
    transition: opacity 0.3s ease-in-out 0.2s;
  }

  &__inner {
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    z-index: 1;
    display: block;
    width: get-vw(740px);
    margin: auto;
    padding: get-vw(55px) get-vw(75px) get-vw(50px);
    background: #fff;
    opacity: 0;
    transform: translate3d(0, calc(-50% - 50px), 0);
    transition: opacity 0.25s ease-in-out 0.15s, transform 0.35s $cubic 0.15s;

    @include between($desktop-sm, $desktop-mac) {
      width: get-vw(680px, 1440);
      padding: get-vw(50px, 1440) get-vw(70px, 1440);
    }
    @include between($mobile, $desktop-sm) {
      width: get-vw(620px, 1024);
      padding: get-vw(40px, 1024) get-vw(50px, 1024);
    }
    @include between($android-landscape, $mobile) {
      width: get-vw(560px, 820);
      padding: get-vw(35px, 820) get-vw(45px, 820);
    }
    @include bellow($android-landscape) {
      width: calc(100% - #{get-vw(10px, 375)});
      padding: get-vw(35px, 375) get-vw(20px, 375);
    }
  }

  &__close {
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    width: auto;
    height: get-vw(64px);
    color: $white;
    font-size: get-vw(14px);
    letter-spacing: 0.4em;
    text-transform: uppercase;
    transform: translateY(-100%);

    @include between($desktop-sm, $desktop-mac) {
      height: get-vw(64px, 1440);
      font-size: get-vw(14px, 1440);
    }
    @include between($mobile, $desktop-sm) {
      height: get-vw(56px, 1024);
      font-size: get-vw(13px, 1024);
    }
    @include between($android-landscape, $mobile) {
      height: get-vw(48px, 820);
      font-size: get-vw(12px, 820);
    }
    @include bellow($android-landscape) {
      height: get-vw(50px, 375);
      font-size: get-vw(12px, 375);
      letter-spacing: 0.2em;
    }
  }

  &__title {
    margin-bottom: get-vw(40px);
    font: 400 #{get-vw(36px)} / 1 $titleFont;
    letter-spacing: 0.03em;
    text-align: center;

    @include between($desktop-sm, $desktop-mac) {
      margin-bottom: get-vw(35px, 1440);
      font-size: get-vw(32px, 1440);
    }
    @include between($mobile, $desktop-sm) {
      margin-bottom: get-vw(30px, 1024);
      font-size: get-vw(28px, 1024);
    }
    @include between($android-landscape, $mobile) {
      margin-bottom: get-vw(25px, 820);
      font-size: get-vw(26px, 820);
    }
    @include bellow($android-landscape) {
      margin-bottom: get-vw(35px, 375);
      font-size: get-vw(24px, 375);
    }
  }

  &__footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;

    .btn-wrap {
      width: 50%;

      @include bellow($android-landscape) {
        width: 100%;
        text-align: center;
      }
    }
  }

  &__desc {
    width: 50%;
    padding-right: get-vw(35px);
    color: $textColor;
    font-size: get-vw(14px);
    line-height: 1.43;

    @include between($desktop-sm, $desktop-mac) {
      padding-right: get-vw(30px, 1440);
      font-size: get-vw(13px, 1440);
    }
    @include between($mobile, $desktop-sm) {
      padding-right: get-vw(25px, 1024);
      font-size: get-vw(13px, 1024);
    }
    @include between($android-landscape, $mobile) {
      padding-right: get-vw(20px, 820);
      font-size: get-vw(12px, 820);
    }
    @include bellow($android-landscape) {
      width: 100%;
      padding: 0;
      margin-bottom: get-vw(20px, 375);
      font-size: get-vw(12px, 375);
      text-align: center;
    }
  }

  &__products {
    width: get-vw(350px);
    margin: get-vw(60px) auto;

    @include between($desktop-sm, $desktop-mac) {
      margin: get-vw(55px, 1440) auto;
    }
    @include between($mobile, $desktop-sm) {
      margin: get-vw(45px, 1024) auto;
    }
    @include between($android-landscape, $mobile) {
      margin: get-vw(35px, 820) auto;
    }
    @include bellow($android-landscape) {
      width: 100%;
      margin: get-vw(30px, 375) 0;
    }

    & ~ .b-popup__form {
      padding-top: 0;
    }
  }

  &__buttons {
    display: flex;
    justify-content: space-between;
    margin: 0 get-vw(-30px);

    .btn {
      margin: 0 get-vw(15px);
    }
  }

  &__form {
    padding: get-vw(30px) get-vw(55px) 0;

    @include between($desktop-sm, $desktop-mac) {
      padding: get-vw(25px, 1440) get-vw(45px, 1440) 0;
    }
    @include between($mobile, $desktop-sm) {
      padding: get-vw(20px, 1024) get-vw(30px, 1024) 0;
    }
    @include between($android-landscape, $mobile) {
      padding: get-vw(20px, 820) 0 0;
    }
    @include bellow($android-landscape) {
      padding: get-vw(15px, 375) 0 0;
    }
  }
}
